package com.alterdekim.hearthhack.dbf;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.*;

import java.util.List;

@ToString
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class CardsDBF {
    @JacksonXmlProperty(isAttribute = true)
    private String name;

    @JsonProperty("SourceFingerprint")
    private String sourceFingerprint;

    @JsonProperty("Column")
    @JacksonXmlElementWrapper(useWrapping = false)
    private List<DBFColumn> columns;

    @JsonProperty("Record")
    @JacksonXmlElementWrapper(useWrapping = false)
    private List<DBFCard> records;
}
