package com.alterdekim.hearthhack.parser;

import com.alterdekim.hearthhack.dbf.CardsDBF;
import com.fasterxml.jackson.dataformat.xml.XmlMapper;
import lombok.extern.slf4j.Slf4j;
import org.xml.sax.helpers.DefaultHandler;
import java.io.File;

@Slf4j
public class DBFParser extends DefaultHandler {
    public static CardsDBF parseCards(String path) {
        try {
            XmlMapper xmlMapper = new XmlMapper();
            return xmlMapper.readValue(new File(path + "/CARD.xml"), CardsDBF.class);
        } catch (Exception e) {
            log.error(e.getMessage());
        }
        return new CardsDBF();
    }
}
